#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N,L;
    int maks=-1; int temp;
    bool nadjen=false;

    cin >> N >> L;

    for(int i=1;i<=N;i++) {
        cin >> temp;
        if(L>=temp && !nadjen) {
            maks=i;
            nadjen = true;
        }
    }

    cout << maks;
    return 0;
}